# $Revision: 1.10 $, $Date: 2012/03/31 19:58:12 $
Summary:	Simple scanning utility
Name:		simple-scan
Version:	3.4.0
Release:	1
License:	GPL v3+
Group:		Applications/Multimedia
Source0:	https://launchpad.net/simple-scan/3.4/3.4.0/+download/%{name}-%{version}.tar.gz
# Source0-md5:	256743e67427d6377722c1c4a30a072d
URL:		https://launchpad.net/simple-scan
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cairo-devel
BuildRequires:	colord-devel
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libjpeg-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.198
BuildRequires:	sane-backends-devel
BuildRequires:	udev-glib-devel
BuildRequires:	vala >= 2:0.14.0
BuildRequires:	yelp-tools
BuildRequires:	zlib-devel
Requires(post,postun):	glib2 >= 1:2.26.0
Requires:	gnome-icon-theme
Suggests:	colord
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple Scan is an easy-to-use application, designed to let users
connect their scanner and quickly have the image/document in an
appropriate format.

%prep
%setup -q

%build
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-schemas-compile \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README ChangeLog
%attr(755,root,root) %{_bindir}/simple-scan
%{_mandir}/man1/simple-scan.1*
%{_desktopdir}/simple-scan.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.SimpleScan.gschema.xml
%{_datadir}/simple-scan

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: simple-scan.spec,v $
Revision 1.10  2012/03/31 19:58:12  megabajt
- updated to 3.4.0; merged changes from DEVEL

Revision 1.9.2.1  2012/03/18 20:01:37  megabajt
- updated to 3.3.92

Revision 1.9  2011/11/20 14:00:30  megabajt
- updated to 3.2.1

Revision 1.8  2011/10/28 23:02:09  megabajt
- updated to 3.2.0

Revision 1.7  2011/01/29 22:47:09  sparky
- BR: gettext-devel, pkgconfig

Revision 1.6  2010/10/31 13:45:25  megabajt
- updated to 2.32.0.1

Revision 1.5  2010/09/30 13:25:25  megabajt
- updated to 2.32.0

Revision 1.4  2010/06/30 15:40:20  adamg
- BR: rpmbuild(macros) >= 1.198 [needed be gconf macros]

Revision 1.3  2010/06/30 15:37:34  adamg
- adapterized

Revision 1.2  2010/06/30 12:08:06  patrys
- regen autochain for the sake of completness

Revision 1.1  2010/06/30 12:03:53  patrys
- initial PLD release

